Monthly Archives: November 2011

Google shuts down Gears website in December: time to upgrade to FileSender 1.1!

Google announced last week  “On December 1, 2011, Gears-based Gmail and Calendar offline will stop working across all browsers, and later in December Gears will no longer be available for download.”

FileSender sites running version 1 or 1.0.1 rely on Gears to support uploads larger than 2GB.  After Google executes its plans there will no longer be a well known location for users to download the Gears plug-in.

If you run a FileSender service and you wish to continue to support uploads larger then 2GB, now might be a good time to upgrade to FileSender 1.1!

FileSender 1.1 release now available

As per Xander’s announcement to the filesender-dev mailinglist the FileSender 1.1 release is now available for download and in the FileSender package repositories.

Download details, upgrade notes, changes and known issues are at:
http://www.assembla.com/spaces/file_sender/wiki/Release_1-1

Version 1.1 is a drop-in replacement for 1.0.1 where the use of the deprecated Gears plugin has been replaced with an HTML5 module which can be used with modern browsers supporting the HTML5 FileAPI. Furthermore a few minor bugs were fixed.

Many thanks to Chris for replacing the deprecated Gears module and Wendy
for the thorough testing and providing updated end user documentation
for 1.1. As usual please let us know if things are or aren’t as they should be (please use filesender-dev@filesender.org).

For those of you using the Debian or RPM package repositories:

  • 1.1 packages are available in the *testing* repository and will be moved to the *stable* repositories when 1.1 will become the main supported release. If you want to upgrade to 1.1 now please switch your apt/rpm configuration from ‘stable’ to ‘testing’.
  • The ‘testing’ repositories also contain the latest 1.8.1 SimpleSAMLphp packages and the FileSender 1.1 packages are configured for that version. Please see CHANGELOG.txt for notes about the changes.
  • As of now 1.0.1 is also available in the ‘oldstable’ repositories. If you want to stay on 1.0.1 you might want to switch to ‘oldstable’.

Thank you Xander for providing the text for this blog article 🙂